# wayidle

Wayidle waits until the Wayland compositor reports being N seconds idle. If a
command was specified, it will `exec` into that command, otherwise, it will
exit zero.

Wayidle is designed for usage is shell scripts or execline scripts.

```console
> wayidle --help
Usage: wayidle [-s|--seat=SEAT_NAME] -t|--timeout=SECONDS [COMMAND]
    All arguments MUST be in order.
```

# Development

Patches can be sent to my [my public inbox].

[my public inbox]: mailto:~whynothugo/public-inbox@lists.sr.ht

```sh
git config sendemail.to '~whynothugo/public-inbox@lists.sr.ht'
git config format.subjectPrefix "PATCH wayidle"
git send-email FIRST_COMMIT~..
```

## Licence

This project is licensed under the ISC licence. See LICENCE.md for details.
